GenericResourceManager (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.managers.resources
Class GenericResourceManager

    java.lang.Object
      org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
          org.gcube.resourcemanagement.support.server.managers.resources.GenericResourceManager

    public class GenericResourceManager

extends AbstractResourceManager

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`GenericResourceManager()` Deprecated. discouraged use. With no ID some operations cannot be accessed.
`GenericResourceManager(String id)`
`GenericResourceManager(String id, String name)`
`GenericResourceManager(String id, String name, String subtype)`

Method Summary
`static void` | `appendXmlFragment(org.gcube.common.resources.gcore.GenericResource.Profile profile, String fragment)` append a well formed xml string to the body
`protected org.gcube.common.resources.gcore.Resource` | `buildResource(String xmlRepresentation)` Given the XML profile representation of a gcube resource, its GCUBEResource is built.
`static String` | `create(String ID, org.gcube.common.scope.impl.ScopeBean scope, String name, String description, String body, String subType)` Creates a Generic Resource and returns the ID given by the resource manager at creation phase.
`void` | `update(String name, String description, String body, String subType, org.gcube.common.scope.impl.ScopeBean scope)` Updates the resource.

Methods inherited from class org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
`addToExistingScope, copyFromToVO, delete, forceDelete, getID, getName, getRegistryPublisher, getReportResourceManager, getResource, getResourceManager, getSubType, getType, getXMLDescription, removeFromScope, setID, validateScopes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericResourceManager

    public GenericResourceManager()
                           throws ResourceParameterException,
                                  ResourceAccessException

  Deprecated. discouraged use. With no ID some operations cannot be accessed.

  Throws:
    `ResourceParameterException`
    `ResourceAccessException`

### GenericResourceManager

    public GenericResourceManager(String id)
                           throws ResourceParameterException,
                                  ResourceAccessException

Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### GenericResourceManager

    public GenericResourceManager(String id,
                                  String name)
                           throws ResourceParameterException,
                                  ResourceAccessException

Parameters:
  `id` -
  `name` -
  `type` -
Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### GenericResourceManager

    public GenericResourceManager(String id,
                                  String name,
                                  String subtype)
                           throws ResourceParameterException,
                                  ResourceAccessException

Parameters:
  `id` -
  `name` -
  `type` -
  `subtype` -
Throws:
  `ResourceParameterException`
  `ResourceAccessException`

Method Detail

### update

    public final void update(String name,
                             String description,
                             String body,
                             String subType,
                             org.gcube.common.scope.impl.ScopeBean scope)
                      throws Exception

  Updates the resource.

  Parameters:
    `name` - (Mandatory) the name to assign to the resource
    `description` - (optional) if null it will not be changed
    `body` - (optional) if null it will not be changed
    `subType` - (optional) if null it will not be changed
    `scope` - (optional) if null it will not be changed
  Throws:
    `AbstractResourceException`
    `ParserConfigurationException`
    `SAXException`
    `IOException`
    `Exception`

### create

    public static final String create(String ID,
                                      org.gcube.common.scope.impl.ScopeBean scope,
                                      String name,
                                      String description,
                                      String body,
                                      String subType)
                               throws Exception

  Creates a Generic Resource and returns the ID given by the resource manager at creation phase.

  Returns:
    the id assigned to the newly created resource
  Throws:
    `Exception`

### buildResource

    protected final org.gcube.common.resources.gcore.Resource buildResource(String xmlRepresentation)
                                                                     throws AbstractResourceException

  Description copied from class: `AbstractResourceManager`
  Given the XML profile representation of a gcube resource, its GCUBEResource is built. Since it depends on the type of the resource, each concrete implementation of resource managers must implement it.

  Specified by:
    `buildResource` in class `AbstractResourceManager`
  Returns:
  Throws:
    `AbstractResourceException`

### appendXmlFragment

    public static void appendXmlFragment(org.gcube.common.resources.gcore.GenericResource.Profile profile,
                                         String fragment)
                                  throws IOException,
                                         ParserConfigurationException

  append a well formed xml string to the body

  Parameters:
    `parent` -
    `fragment` -
  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.